Subject: RE: bug#11890: 24.1; (wrong-type-argument processp nil) in `shell-mode'

From: Drew Adams <[email-masked]>
Date: Thu, 28 Apr 2016 09:10:14 -0700 (PDT)

> > If `shell-mode' is a command that is intended only for certain contexts
> > then it should control/manage that.  It should issue a proper error
> > message when the context is inappropriate.  It should not simply barf
> > with a wrong-type arg error.
> 
> Do you have a recipe from -Q?  From the backtrace included, it kinda
> looked like the bug was triggered from your own code.

No, and it should not matter.  The command should not just barf with
a wrong-type error msg.

As the bug report says:

  Clearly, this code in shell.el is not tolerant of there being no process:
 
  (file-name-nondirectory
   (car (process-command (get-buffer-process (current-buffer)))))
 
  I imagine that it should be, or rather that it should perhaps raise an
  error with a more suitable message.